## libusermetrics 1.1.1+13.10.20131003

=== data/CMakeLists.txt ===
include("UseGSettings")

###########################
# Settings
###########################

add_schema("com.canonical.UserMetrics.gschema.xml")

install(
	DIRECTORY
		themes
	DESTINATION
		"${CMAKE_INSTALL_DATADIR}/libusermetrics"
)

###########################
# Policy
###########################

set(
	DBUSCONFDIR
	/etc/dbus-1/system.d
)

install(
	FILES
	"com.canonical.UserMetrics.conf"
	DESTINATION ${DBUSCONFDIR}
)

###########################
# Dbus Interfaces
###########################

set(
	DBUSIFACEDIR
	"${CMAKE_INSTALL_DATADIR}/dbus-1/interfaces/"
)

install(
	FILES
	com.canonical.usermetrics.DataSet.xml
	com.canonical.usermetrics.DataSource.xml
	com.canonical.usermetrics.UserData.xml
	com.canonical.UserMetrics.xml
	DESTINATION ${DBUSIFACEDIR}
)

###########################
# Dbus Services
###########################

set(
	DBUSSERVICEDIR
	"${CMAKE_INSTALL_DATADIR}/dbus-1/system-services/"
)

set(USERMETRICS_SERVICE
	"${CMAKE_CURRENT_BINARY_DIR}/com.canonical.UserMetrics.service"
)

configure_file(
	"com.canonical.UserMetrics.service.in"
	${USERMETRICS_SERVICE}
	@ONLY
)

install(
	FILES
	${USERMETRICS_SERVICE}
	DESTINATION ${DBUSSERVICEDIR}
)

=== tests/CMakeLists.txt ===
set(CMAKE_AUTOMOC OFF)
include(FindGMock)
set(CMAKE_AUTOMOC ON)

find_package("Valgrind" REQUIRED)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${GMOCK_INCLUDE_DIRS})
include_directories(${GTEST_INCLUDE_DIRS})

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")

add_definitions(-DUSERMETRICSSERVICE_BINARY="${SOURCE_BINARY_DIR}/usermetricsservice/usermetricsservice")

add_definitions(-DTEST_LOCALEDIR="${CMAKE_CURRENT_BINARY_DIR}/data")
add_definitions(-DTEST_DATADIR="${CMAKE_CURRENT_SOURCE_DIR}/data")

add_definitions(-DUSERMETRICS_TEST_COLOR_BASEDIR="${DATA_DIR}/themes")

add_subdirectory(data)
add_subdirectory(integration)
add_subdirectory(unit)
add_subdirectory(testutils)

## libusermetrics 1.1.1+14.04.20140305

=== CMakeLists.txt ===
project(libusermetrics CXX)
cmake_minimum_required(VERSION 2.8.9)

set(API_VERSION 1)
set(ABI_VERSION 1)

set(GETTEXT_PACKAGE libusermetrics)
add_definitions(
	-DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")

find_package(PkgConfig REQUIRED)

find_package(Qt5Core REQUIRED)
include_directories(${Qt5Core_INCLUDE_DIRS})

find_package(Qt5Gui REQUIRED)
include_directories(${Qt5Gui_INCLUDE_DIRS})

find_package(Qt5DBus COMPONENTS Qt5DBusMacros REQUIRED)
include_directories(${Qt5DBus_INCLUDE_DIRS})

find_package(Qt5Sql REQUIRED)
include_directories(${Qt5Sql_INCLUDE_DIRS})

find_package(Qt5XmlPatterns REQUIRED)
include_directories(${Qt5XmlPatterns_INCLUDE_DIRS})

pkg_check_modules(APPARMOR REQUIRED libapparmor REQUIRED)
include_directories(${APPARMOR_INCLUDE_DIRS})

pkg_check_modules(GSETTINGS_QT REQUIRED gsettings-qt REQUIRED)
include_directories(${GSETTINGS_QT_INCLUDE_DIRS})

find_package(Qt5Test REQUIRED)
include_directories(${Qt5Test_INCLUDE_DIRS})

find_package(Qt5Qml REQUIRED)
include_directories(${Qt5Qml_INCLUDE_DIRS})

pkg_check_modules(QDJANGO_DB REQUIRED qdjango-db REQUIRED)
include_directories(${QDJANGO_DB_INCLUDE_DIRS})

pkg_check_modules(QTDBUSTEST REQUIRED libqtdbustest-1 REQUIRED)
include_directories(${QTDBUSTEST_INCLUDE_DIRS})

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(DATA_DIR "${CMAKE_CURRENT_SOURCE_DIR}/data")

set(INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/include")
set(INCLUDE_BINARY_DIR "${CMAKE_CURRENT_BINARY_DIR}/include")
include_directories(${INCLUDE_DIR})
include_directories(${INCLUDE_BINARY_DIR})

set(SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/src")
set(SOURCE_BINARY_DIR "${CMAKE_CURRENT_BINARY_DIR}/src")


include(GNUInstallDirs)
include(Coverage)

# Workaround for libexecdir on debian
if (EXISTS "/etc/debian_version") 
  set(CMAKE_INSTALL_LIBEXECDIR ${CMAKE_INSTALL_LIBDIR})
  set(CMAKE_INSTALL_FULL_LIBEXECDIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBEXECDIR}")
endif()

add_definitions(
	-std=c++11
	-fno-permissive
	-pedantic
	-Wall
	-Wextra
	-DLOCALEDIR="${CMAKE_INSTALL_FULL_DATADIR}/locale"
)

set(DOXYFILE_SOURCE_DIR "include")
set(DOXYFILE_EXTRA_SOURCES "doc")
include(UseDoxygen)
if(DOXYGEN_FOUND AND BUILD_DOXYGEN)
	install(
		DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/doc/html
		DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/libusermetrics-doc/
	)
endif()

add_subdirectory("po")
add_subdirectory("src")
add_subdirectory("data")

enable_testing()
add_subdirectory(tests)

ADD_CUSTOM_TARGET(
	check
	${CMAKE_CTEST_COMMAND} --force-new-ctest-process --output-on-failure
)

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -8,9 +8,9 @@
 
 install(
 	DIRECTORY
-		themes
+		libusermetrics
 	DESTINATION
-		"${CMAKE_INSTALL_DATADIR}/libusermetrics"
+		${CMAKE_INSTALL_DATADIR}
 )
 
 ###########################

=== po/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.9)

find_package(XGettext REQUIRED)

set(
	POT_FILE
	"${CMAKE_CURRENT_SOURCE_DIR}/libusermetrics.pot"
)

file(
	GLOB PO_FILES
	*.po
)

FILE(
	GLOB_RECURSE SRC_FILES
	RELATIVE ${CMAKE_SOURCE_DIR}
	${SOURCE_DIR}/*.cpp
	${SOURCE_DIR}/*.c
	${SOURCE_DIR}/*.h
)

xgettext_create_pot_file(
	${POT_FILE}
	CPP
	QT
	INPUT ${SRC_FILES}
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
	ADD_COMMENTS "TRANSLATORS"
	KEYWORD "_"
	PACKAGE_NAME ${GETTEXT_PACKAGE}
	COPYRIGHT_HOLDER "Canonical Ltd."
)

add_custom_target(update-pot DEPENDS ${POT_FILE})

gettext_create_translations(
	${POT_FILE}
	ALL
	${PO_FILES}
)

=== src/libusermetricscommon/CMakeLists.txt ===

set(USERMETRICS_COMMON_SOURCES
	DateFactory.cpp
	DateFactoryImpl.cpp
	DBusPaths.cpp
	Localisation.cpp
)

set(USERMETRICS_COMMON_DEPENDENCIES
	Core
)

qt5_add_dbus_interface(
	USERMETRICS_COMMON_SOURCES
	"${DATA_DIR}/com.canonical.UserMetrics.xml"
	UserMetricsInterface
)

qt5_add_dbus_interface(
	USERMETRICS_COMMON_SOURCES
	"${DATA_DIR}/com.canonical.usermetrics.DataSource.xml"
	DataSourceInterface
)

qt5_add_dbus_interface(
	USERMETRICS_COMMON_SOURCES
	"${DATA_DIR}/com.canonical.usermetrics.UserData.xml"
	UserDataInterface
)

qt5_add_dbus_interface(
	USERMETRICS_COMMON_SOURCES
	"${DATA_DIR}/com.canonical.usermetrics.DataSet.xml"
	DataSetInterface
)

add_library(
	usermetricscommon
	STATIC
	${USERMETRICS_COMMON_SOURCES}
)

qt5_use_modules(
	usermetricscommon
	${USERMETRICS_COMMON_DEPENDENCIES}
)

=== src/libusermetricsoutput/CMakeLists.txt ===

FILE(
	GLOB USERMETRICSOUTPUT_PUBLIC_HEADERS
	RELATIVE "${INCLUDE_DIR}/libusermetricsoutput"
	"${INCLUDE_DIR}/libusermetricsoutput/*.h"
)

set(USERMETRICSOUTPUT_SOURCES
	ColorTheme.cpp
	ColorThemeImpl.cpp
	ColorThemeProvider.cpp
	GSettingsColorThemeProvider.cpp
	DataSet.cpp
	DataSource.cpp
	SyncedDataSet.cpp
	SyncedDataSource.cpp
	SyncedUserMetricsStore.cpp
	SyncedUserData.cpp
	UserData.cpp
	UserMetrics.cpp
	UserMetricsImpl.cpp
	UserMetricsStore.cpp
	qvariantlistmodel.cpp
)

set(USERMETRICS_OUTPUT_DEPENDENCIES
	Core
	Gui
	DBus
	XmlPatterns
)

# Static library version of libusermetricsoutput

add_library(
	usermetricsoutput-static
	STATIC
	${USERMETRICSOUTPUT_SOURCES}
)

qt5_use_modules(
	usermetricsoutput-static
	${USERMETRICS_OUTPUT_DEPENDENCIES}
)

target_link_libraries(
	usermetricsoutput-static
	usermetricscommon
)

set_target_properties(
	usermetricsoutput-static
	PROPERTIES
	OUTPUT_NAME usermetricsoutput
)

# Shared library version of libusermetricsoutput

add_library(
	usermetricsoutput
	SHARED
	${USERMETRICSOUTPUT_SOURCES}
)

qt5_use_modules(
	usermetricsoutput
	${USERMETRICS_OUTPUT_DEPENDENCIES}
)

target_link_libraries(
	usermetricsoutput
	usermetricscommon
	${GSETTINGS_QT_LIBRARIES}
	${Gettext_LIBRARIES}
)

set_target_properties(
	usermetricsoutput
	PROPERTIES
	VERSION ${API_VERSION}.0.0
	SOVERSION ${ABI_VERSION}
	PUBLIC_HEADER "${USERMETRICSOUTPUT_PUBLIC_HEADERS}"
)

install(
  TARGETS usermetricsoutput
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  PUBLIC_HEADER DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/libusermetrics-${API_VERSION}/libusermetricsoutput"
)

# Package config

set(LIBUSERMETRICSOUTPUT_PC "libusermetricsoutput-${API_VERSION}.pc")
configure_file("libusermetricsoutput.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/${LIBUSERMETRICSOUTPUT_PC}" @ONLY)

install(
  FILES "${CMAKE_CURRENT_BINARY_DIR}/${LIBUSERMETRICSOUTPUT_PC}"
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
)

=== src/usermetricsservice/CMakeLists.txt ===

set(USERMETRICSSERVICE_SOURCES
	database/DataSet.cpp
	database/DataSource.cpp
	database/UserData.cpp
	Authentication.cpp
	DBusDataSet.cpp
	DBusDataSource.cpp
	DBusUserData.cpp
	DBusUserMetrics.cpp
)

qt5_add_dbus_adaptor(
	USERMETRICSSERVICE_SOURCES
	"${DATA_DIR}/com.canonical.UserMetrics.xml"
	usermetricsservice/DBusUserMetrics.h
	UserMetricsService::DBusUserMetrics
	UserMetricsAdaptor
)

qt5_add_dbus_adaptor(
	USERMETRICSSERVICE_SOURCES
	"${DATA_DIR}/com.canonical.usermetrics.DataSource.xml"
	usermetricsservice/DBusDataSource.h
	UserMetricsService::DBusDataSource
	DataSourceAdaptor
)

qt5_add_dbus_adaptor(
	USERMETRICSSERVICE_SOURCES
	"${DATA_DIR}/com.canonical.usermetrics.UserData.xml"
	usermetricsservice/DBusUserData.h
	UserMetricsService::DBusUserData
	UserDataAdaptor
)

qt5_add_dbus_adaptor(
	USERMETRICSSERVICE_SOURCES
	"${DATA_DIR}/com.canonical.usermetrics.DataSet.xml"
	usermetricsservice/DBusDataSet.h
	UserMetricsService::DBusDataSet
	DataSetAdaptor
)

add_library(
	usermetricsservice
	STATIC
	${USERMETRICSSERVICE_SOURCES}
)

qt5_use_modules(
	usermetricsservice
	Core
	DBus
	Sql
)

target_link_libraries(
	usermetricsservice
	usermetricscommon
	${QDJANGO_DB_LIBRARIES}
	${APPARMOR_LIBRARIES}
)

############################
# Service executable
############################

add_executable(
	usermetricsservice-bin
	main.cpp
)

set_target_properties(
	usermetricsservice-bin
	PROPERTIES
	OUTPUT_NAME "usermetricsservice"
)

qt5_use_modules(
	usermetricsservice-bin
	Core
)

target_link_libraries(
	usermetricsservice-bin
	usermetricsservice
)

#########################
# Installation
#########################

install(
  TARGETS usermetricsservice-bin
  RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_LIBEXECDIR}/libusermetrics"
)

=== tests/unit/libusermetricsoutput/CMakeLists.txt ===

set(
	USERMETRICSOUTPUT_UNIT_TESTS_SRC
	QModelListener.cpp
	TestColorThemeImpl.cpp
	TestDataSet.cpp
	TestGSettingsColorThemeProvider.cpp
	TestQVariantListModel.cpp
	TestUserMetricsImpl.cpp
	TestSyncedUserMetricsStore.cpp
)

add_executable(
	usermetricsoutput-unit-tests
	${USERMETRICSOUTPUT_UNIT_TESTS_SRC}
)

target_link_libraries(
	usermetricsoutput-unit-tests
	usermetricsoutput-static
	usermetrics-test-utils
	${GSETTINGS_QT_LIBRARIES}
	${GTEST_LIBRARIES}
	${GMOCK_LIBRARIES}
)

add_valgrind_test(
	usermetricsoutput-unit-tests
	usermetricsoutput-unit-tests
)

=== tests/unit/qml/CMakeLists.txt ===

add_executable(tst_QmlTests tst_QmlTests.cpp)
qt5_use_modules(tst_QmlTests Core Qml Quick Test QuickTest)
target_link_libraries(tst_QmlTests ${TPL_QT5_LIBRARIES})

add_test(tst_QmlTests
	${CMAKE_CURRENT_BINARY_DIR}/tst_QmlTests
	-input ${CMAKE_CURRENT_SOURCE_DIR}
	-import ${SOURCE_BINARY_DIR}/modules
)
set_tests_properties(tst_QmlTests PROPERTIES ENVIRONMENT "QT_QPA_PLATFORM=minimal")

add_subdirectory(UserMetricsTest)

=== tests/unit/usermetricsservice/CMakeLists.txt ===

set(
	USERMETRICSSERVICE_UNIT_TESTS_SRC
	TestAuthentication.cpp
	TestUserMetricsService.cpp
)

add_executable(
	usermetricsservice-unit-tests
	${USERMETRICSSERVICE_UNIT_TESTS_SRC}
)

target_link_libraries(
	usermetricsservice-unit-tests
	usermetricsservice
	usermetrics-test-utils
	${QTDBUSTEST_LIBRARIES}
	${GTEST_LIBRARIES}
	${GMOCK_LIBRARIES}
)

add_valgrind_test(
	usermetricsservice-unit-tests
	usermetricsservice-unit-tests
)

## libusermetrics 1.1.1+15.10.20150915

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,6 +39,15 @@
 
 find_package(Qt5Qml REQUIRED)
 include_directories(${Qt5Qml_INCLUDE_DIRS})
+
+pkg_check_modules(GLIB2 REQUIRED glib-2.0)
+include_directories(${GLIB2_INCLUDE_DIRS})
+
+pkg_check_modules(GOBJECT2 REQUIRED gobject-2.0)
+include_directories(${GOBJECT2_INCLUDE_DIRS})
+
+pkg_check_modules(CLICK REQUIRED click-0.4 REQUIRED)
+include_directories(${CLICK_INCLUDE_DIRS})
 
 pkg_check_modules(QDJANGO_DB REQUIRED qdjango-db REQUIRED)
 include_directories(${QDJANGO_DB_INCLUDE_DIRS})

=== po/CMakeLists.txt ===
include(UseXGettext)

add_translations_directory(${GETTEXT_PACKAGE})

add_translations_catalog(
    GETTEXT_PACKAGE ${GETTEXT_PACKAGE}
    COPYRIGHT_HOLDER "Canonical Ltd."
    SOURCE_DIRECTORIES "${CMAKE_SOURCE_DIR}/src"
)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 add_definitions(-DTEST_LOCALEDIR="${CMAKE_CURRENT_BINARY_DIR}/data")
 add_definitions(-DTEST_DATADIR="${CMAKE_CURRENT_SOURCE_DIR}/data")
 
-add_definitions(-DUSERMETRICS_TEST_COLOR_BASEDIR="${DATA_DIR}/themes")
+add_definitions(-DDATA_DIR="${DATA_DIR}")
 
 add_subdirectory(data)
 add_subdirectory(integration)

=== src/libusermetricsinput/CMakeLists.txt ===

set(EXPORT_FILE_NAME UserMetricsInputExport.h)

FILE(
	GLOB USERMETRICSINPUT_PUBLIC_HEADERS
	RELATIVE "${INCLUDE_DIR}/libusermetricsinput"
	"${INCLUDE_DIR}/libusermetricsinput/*.h"
)

list(
	APPEND USERMETRICSINPUT_PUBLIC_HEADERS
	"${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_FILE_NAME}"
)

set(USERMETRICSINPUT_SOURCES
	Metric.cpp
	MetricImpl.cpp
	MetricManager.cpp
	MetricManagerImpl.cpp
	MetricManagerImpl.cpp
	MetricUpdate.cpp
	MetricUpdateImpl.cpp
	usermetricsinput.cpp
)

set(USERMETRICS_INPUT_DEPENDENCIES
	Core
	DBus
)

# Static library version of libusermetricsinput

add_library(
	usermetricsinput-static
	STATIC
	${USERMETRICSINPUT_SOURCES}
)

qt5_use_modules(
	usermetricsinput-static
	${USERMETRICS_INPUT_DEPENDENCIES}
)

target_link_libraries(
	usermetricsinput-static
	usermetricscommon
	${Gettext_LIBRARIES}
)

set_target_properties(
	usermetricsinput-static
	PROPERTIES
	INPUT_NAME usermetricsinput
)

# Shared library version of libusermetricsinput

add_library(
	usermetricsinput
	SHARED
	${USERMETRICSINPUT_SOURCES}
)

generate_export_header(
	usermetricsinput
	EXPORT_FILE_NAME ${EXPORT_FILE_NAME}
)

configure_file(
	"${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_FILE_NAME}"
	"${INCLUDE_BINARY_DIR}/libusermetricsinput/${EXPORT_FILE_NAME}"
)

qt5_use_modules(
	usermetricsinput
	${USERMETRICS_INPUT_DEPENDENCIES}
)

target_link_libraries(
	usermetricsinput
	usermetricscommon
)

set_target_properties(
	usermetricsinput
	PROPERTIES
	VERSION ${API_VERSION}.0.0
	SOVERSION ${ABI_VERSION}
	PUBLIC_HEADER "${USERMETRICSINPUT_PUBLIC_HEADERS}"
)

install(
  TARGETS usermetricsinput
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  PUBLIC_HEADER DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/libusermetrics-${API_VERSION}/libusermetricsinput"
)

# Package config

set(LIBUSERMETRICSINPUT_PC "libusermetricsinput-${API_VERSION}.pc")
configure_file("libusermetricsinput.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/${LIBUSERMETRICSINPUT_PC}" @ONLY)

install(
  FILES "${CMAKE_CURRENT_BINARY_DIR}/${LIBUSERMETRICSINPUT_PC}"
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
)

##########################
# Command line interface
##########################

add_executable(
	usermetricsinput-bin
	main.cpp
)

set_target_properties(
	usermetricsinput-bin
	PROPERTIES
	OUTPUT_NAME "usermetricsinput"
)

install(
  TARGETS usermetricsinput-bin
  RUNTIME DESTINATION bin
)

qt5_use_modules(
	usermetricsinput-bin
	Core
)

target_link_libraries(
	usermetricsinput-bin
	usermetricsinput
)

##########################
# Increment CLI
##########################

add_executable(
	usermetricsinput-increment
	main-increment.cpp
)

install(
  TARGETS usermetricsinput-increment
  RUNTIME DESTINATION bin
)

qt5_use_modules(
	usermetricsinput-increment
	Core
)

target_link_libraries(
	usermetricsinput-increment
	usermetricsinput
)

=== src/usermetricsservice/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	DBusDataSource.cpp
 	DBusUserData.cpp
 	DBusUserMetrics.cpp
+	TranslationLocatorImpl.cpp
 )
 
 qt5_add_dbus_adaptor(
@@ -58,8 +59,11 @@
 target_link_libraries(
 	usermetricsservice
 	usermetricscommon
-	${QDJANGO_DB_LIBRARIES}
-	${APPARMOR_LIBRARIES}
+	${QDJANGO_DB_LDFLAGS}
+	${APPARMOR_LDFLAGS}
+	${GLIB2_LDFLAGS}
+	${GOBJECT2_LDFLAGS}
+	${CLICK_LDFLAGS}
 )
 
 ############################

=== tests/testutils/CMakeLists.txt ===

set(
	USERMETRICS_TEST_UTILS_SRC
	DBusTest.cpp
	QColorPrinter.cpp
	QStringPrinter.cpp
	QVariantPrinter.cpp
	QVariantListPrinter.cpp
	main.cpp
)

add_library(
	usermetrics-test-utils
	SHARED
	${USERMETRICS_TEST_UTILS_SRC}
)

qt5_use_modules(
	usermetrics-test-utils
	Core
	Gui
	DBus
	Test
)

target_link_libraries(
	usermetrics-test-utils
	${QTDBUSTEST_LIBRARIES}
)

=== tests/unit/CMakeLists.txt ===
include_directories(${SOURCE_DIR})
include_directories(${SOURCE_BINARY_DIR})

add_subdirectory(libusermetricsinput)
add_subdirectory(libusermetricsoutput)
add_subdirectory(usermetricsservice)
add_subdirectory(qml)

=== tests/unit/libusermetricsinput/CMakeLists.txt ===

set(
	USERMETRICSINPUT_UNIT_TESTS_SRC
	TestMetricManagerImpl.cpp
	TestUserMetricInputCAPI.cpp
)

add_executable(
	usermetricsinput-unit-tests
	${USERMETRICSINPUT_UNIT_TESTS_SRC}
)

target_link_libraries(
	usermetricsinput-unit-tests
	usermetricsinput-static
	usermetrics-test-utils
	${GTEST_LIBRARIES}
	${GMOCK_LIBRARIES}
)

add_valgrind_test(
	usermetricsinput-unit-tests
	usermetricsinput-unit-tests
)

=== tests/unit/qml/UserMetricsTest/CMakeLists.txt ===
set(testplugin_SRCS
    TestPlugin.cpp
    DBusQuery.cpp
    MetricInfo.cpp
    )

set(testplugin_HDRS
    TestPlugin.h
    DBusQuery.h
    MetricInfo.h
    )

add_library(usermetrics-qml-test SHARED ${testplugin_SRCS} ${testplugin_HDRS})
qt5_use_modules(usermetrics-qml-test Core Qml Quick Test DBus QuickTest)

target_link_libraries(
        usermetrics-qml-test
        usermetricsinput-static
        usermetrics-test-utils
        ${GTEST_LIBRARIES}
        ${GMOCK_LIBRARIES}
        )

# copy qmldir file to build dir
configure_file(
	qmldir
	qmldir
)

## libusermetrics 1.1.1+16.10.20160909

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 project(libusermetrics CXX)
 cmake_minimum_required(VERSION 2.8.9)
+
+option (ENABLE_TESTS "Enable testing" ON)
 
 set(API_VERSION 1)
 set(ABI_VERSION 1)
@@ -101,6 +103,8 @@
 add_subdirectory("src")
 add_subdirectory("data")
 
+
+if(ENABLE_TESTS)
 enable_testing()
 add_subdirectory(tests)
 
@@ -108,3 +112,4 @@
 	check
 	${CMAKE_CTEST_COMMAND} --force-new-ctest-process --output-on-failure
 )
+endif()

## libusermetrics 1.1.1+17.04.20161208.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -72,7 +72,6 @@
 
 
 include(GNUInstallDirs)
-include(Coverage)
 
 # Workaround for libexecdir on debian
 if (EXISTS "/etc/debian_version") 
@@ -89,16 +88,8 @@
 	-DLOCALEDIR="${CMAKE_INSTALL_FULL_DATADIR}/locale"
 )
 
-set(DOXYFILE_SOURCE_DIR "include")
-set(DOXYFILE_EXTRA_SOURCES "doc")
-include(UseDoxygen)
-if(DOXYGEN_FOUND AND BUILD_DOXYGEN)
-	install(
-		DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/doc/html
-		DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/libusermetrics-doc/
-	)
-endif()
 
+add_subdirectory("doc")
 add_subdirectory("po")
 add_subdirectory("src")
 add_subdirectory("data")
@@ -112,4 +103,33 @@
 	check
 	${CMAKE_CTEST_COMMAND} --force-new-ctest-process --output-on-failure
 )
+
+find_package(CoverageReport)
+enable_coverage_report(
+  TARGETS
+    usermetrics-test-utils
+    usermetricscommon
+    usermetricsinput
+    usermetricsinput-static
+    usermetricsinput-integration-tests
+    usermetricsinput-unit-tests
+    usermetricsoutput
+    usermetricsoutput-integration-tests
+    usermetricsoutput-static
+    usermetricsoutput-unit-tests
+    usermetricsservice
+    usermetricsservice-bin
+    usermetricsservice-unit-tests
+  FILTER
+    ${CMAKE_SOURCE_DIR}/tests/*
+    ${CMAKE_BINARY_DIR}/*
+  TESTS
+    usermetrics-test-utils
+    usermetricsinput-integration-tests
+    usermetricsinput-unit-tests
+    usermetricsoutput-integration-tests
+    usermetricsoutput-unit-tests
+    usermetricsservice-unit-tests
+)
+
 endif()

=== unit/libusermetricsoutput/CMakeLists.txt ===

set(
	USERMETRICSOUTPUT_UNIT_TESTS_SRC
	QModelListener.cpp
	TestColorThemeImpl.cpp
	TestDataSet.cpp
	TestGSettingsColorThemeProvider.cpp
	TestQVariantListModel.cpp
	TestUserMetricsImpl.cpp
	TestSyncedUserMetricsStore.cpp
)

add_executable(
	usermetricsoutput-unit-tests
	${USERMETRICSOUTPUT_UNIT_TESTS_SRC}
)

target_link_libraries(
	usermetricsoutput-unit-tests
	usermetricsoutput-static
	usermetrics-test-utils
	${GSETTINGS_QT_LIBRARIES}
	${GTEST_LIBRARIES}
	${GMOCK_LIBRARIES}
)

add_test(
	usermetricsoutput-unit-tests
	usermetricsoutput-unit-tests
)

=== unit/usermetricsservice/CMakeLists.txt ===

set(
	USERMETRICSSERVICE_UNIT_TESTS_SRC
	TestAuthentication.cpp
	TestUserMetricsService.cpp
)

add_executable(
	usermetricsservice-unit-tests
	${USERMETRICSSERVICE_UNIT_TESTS_SRC}
)

target_link_libraries(
	usermetricsservice-unit-tests
	usermetricsservice
	usermetrics-test-utils
	${QTDBUSTEST_LIBRARIES}
	${GTEST_LIBRARIES}
	${GMOCK_LIBRARIES}
)

add_test(
	usermetricsservice-unit-tests
	usermetricsservice-unit-tests
)

## libusermetrics 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -42,14 +42,25 @@
 find_package(Qt5Qml REQUIRED)
 include_directories(${Qt5Qml_INCLUDE_DIRS})
 
+find_package(Qt5Quick REQUIRED)
+include_directories(${Qt5Quick_INCLUDE_DIRS})
+
+find_package(Qt5QuickTest REQUIRED)
+include_directories(${Qt5QuickTest_INCLUDE_DIRS})
+
+find_package(Intl REQUIRED)
+
 pkg_check_modules(GLIB2 REQUIRED glib-2.0)
 include_directories(${GLIB2_INCLUDE_DIRS})
 
 pkg_check_modules(GOBJECT2 REQUIRED gobject-2.0)
 include_directories(${GOBJECT2_INCLUDE_DIRS})
 
-pkg_check_modules(CLICK REQUIRED click-0.4 REQUIRED)
+pkg_check_modules(CLICK click-0.4)
 include_directories(${CLICK_INCLUDE_DIRS})
+if(${CLICK_FOUND})
+  add_definitions(-DCLICK_ENABLED=${CLICK_FOUND})
+endif(${CLICK_FOUND})
 
 pkg_check_modules(QDJANGO_DB REQUIRED qdjango-db REQUIRED)
 include_directories(${QDJANGO_DB_INCLUDE_DIRS})
@@ -77,6 +88,11 @@
 if (EXISTS "/etc/debian_version") 
   set(CMAKE_INSTALL_LIBEXECDIR ${CMAKE_INSTALL_LIBDIR})
   set(CMAKE_INSTALL_FULL_LIBEXECDIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBEXECDIR}")
+endif()
+
+# FIX: Qt was built with -reduce-relocations
+if (Qt5_POSITION_INDEPENDENT_CODE)
+  SET(CMAKE_POSITION_INDEPENDENT_CODE ON)
 endif()
 
 add_definitions(

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-include("UseGSettings")
+find_package(GSettings)
 
 ###########################
 # Settings

=== doc/CMakeLists.txt ===
find_package(DoxygenBuilder)

add_doxygen(
    qtdoc
    PROJECT_NAME
        "libusermetrics"
    INPUT
        "${CMAKE_SOURCE_DIR}/include"
        "${CMAKE_CURRENT_SOURCE_DIR}/pages"
    EXAMPLE_PATH
        "${CMAKE_SOURCE_DIR}/examples/"
    STRIP_FROM_PATH
        "${CMAKE_SOURCE_DIR}/include"
    STRIP_FROM_INC_PATH
        "${CMAKE_SOURCE_DIR}/include"
    EXCLUDE_PATTERNS
        */internal/*
    EXCLUDE_SYMBOLS
        *::internal*
        *::Priv
    INSTALL
        ${CMAKE_INSTALL_DATAROOTDIR}/doc/libusermetrics-doc
    XML
    ALL
)

=== po/CMakeLists.txt ===
find_package(Intltool REQUIRED)

intltool_update_potfile(
    KEYWORDS "_" "_:1,2" "N_" "N_:1,2"
    GETTEXT_PACKAGE ${GETTEXT_PACKAGE}
    COPYRIGHT_HOLDER "Canonical Ltd."
)

intltool_install_translations(
    ALL
    GETTEXT_PACKAGE ${GETTEXT_PACKAGE}
)

=== src/libusermetricscommon/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 )
 
 set(USERMETRICS_COMMON_DEPENDENCIES
-	Core
+	Qt5::Core
 )
 
 qt5_add_dbus_interface(
@@ -40,7 +40,7 @@
 	${USERMETRICS_COMMON_SOURCES}
 )
 
-qt5_use_modules(
+target_link_libraries(
 	usermetricscommon
 	${USERMETRICS_COMMON_DEPENDENCIES}
 )

=== src/modules/CMakeLists.txt ===
add_subdirectory("UserMetrics")

=== src/usermetricsservice/CMakeLists.txt ===
--- 
+++ 
@@ -49,15 +49,11 @@
 	${USERMETRICSSERVICE_SOURCES}
 )
 
-qt5_use_modules(
-	usermetricsservice
-	Core
-	DBus
-	Sql
-)
-
 target_link_libraries(
 	usermetricsservice
+	Qt5::Core
+	Qt5::DBus
+	Qt5::Sql
 	usermetricscommon
 	${QDJANGO_DB_LDFLAGS}
 	${APPARMOR_LDFLAGS}
@@ -81,13 +77,9 @@
 	OUTPUT_NAME "usermetricsservice"
 )
 
-qt5_use_modules(
-	usermetricsservice-bin
-	Core
-)
-
 target_link_libraries(
 	usermetricsservice-bin
+	Qt5::Core
 	usermetricsservice
 )

=== tests/integration/CMakeLists.txt ===
add_subdirectory(libusermetricsinput)
add_subdirectory(libusermetricsoutput)

=== src/modules/UserMetrics/CMakeLists.txt ===
set(plugin_SRCS
    Components.cpp
    Metric.cpp
)

set(plugin_HDRS
    Components.h
    Metric.h
)

include_directories(
    ${Qt5Core_INCLUDE_DIRS}
    ${Qt5Quick_INCLUDE_DIRS}
)

add_library(usermetrics-qml SHARED ${plugin_SRCS} ${plugin_HDRS})

target_link_libraries(usermetrics-qml
    usermetricsinput
    ${Qt5Qml_LIBRARIES}
    ${Qt5Quick_LIBRARIES}
)

# Qt5's cmake does not export QT_IMPORTS_DIR, lets query qmake on our own for now
get_target_property(QMAKE_EXECUTABLE Qt5::qmake LOCATION) 
function(QUERY_QMAKE VAR RESULT) 
  exec_program(${QMAKE_EXECUTABLE} ARGS "-query ${VAR}" RETURN_VALUE return_code OUTPUT_VARIABLE output ) 
  if(NOT return_code) 
    file(TO_CMAKE_PATH "${output}" output) 
    set(${RESULT} ${output} PARENT_SCOPE) 
  endif(NOT return_code) 
endfunction(QUERY_QMAKE) 
query_qmake(QT_INSTALL_QML QT_IMPORTS_DIR)


set(PLUGIN_DIR ${QT_IMPORTS_DIR}/UserMetrics)
install(TARGETS usermetrics-qml DESTINATION ${PLUGIN_DIR})
install(FILES qmldir DESTINATION ${PLUGIN_DIR})

# copy qmldir file to build dir so QML unit tests can use it to import the plugin
configure_file(
	qmldir
	qmldir
)

=== tests/data/en_FAKELANG/CMakeLists.txt ===

add_subdirectory(LC_MESSAGES)

=== tests/integration/libusermetricsoutput/CMakeLists.txt ===

set(
	USERMETRICSOUTPUT_INTEGRATION_TESTS_SRC
	TestUserMetrics.cpp
)

add_executable(
	usermetricsoutput-integration-tests
	${USERMETRICSOUTPUT_INTEGRATION_TESTS_SRC}
)

target_link_libraries(
	usermetricsoutput-integration-tests
	usermetricsoutput
	usermetrics-test-utils
	${GTEST_LIBRARIES}
	${GMOCK_LIBRARIES}
)

add_test(
	usermetricsoutput-integration-tests
	usermetricsoutput-integration-tests
)

=== tests/unit/libusermetricsinput/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	${GMOCK_LIBRARIES}
 )
 
-add_valgrind_test(
+add_test(
 	usermetricsinput-unit-tests
 	usermetricsinput-unit-tests
 )

=== debian/changelog ===
libusermetrics (1.2.0-2) unstable; urgency=medium

  * Upload to unstable.

  * debian/control:
    + Add B-D pkg-kde-tools.
    + Bump Standards-Version: 4.6.0. No changes needed.
  * debian/rules:
    + DH build with pkgkde_symbolshelper support.
  * debian/*.symbols:
    + Re-create .symbols files with pkgkde-symbolshelper.
    + Add missing Build-Depends-Package: fields.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 Nov 2021 21:51:40 +0100

libusermetrics (1.2.0-1) experimental; urgency=medium

  * Initial upload to Debian. (Closes: #986125).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 08 Apr 2021 13:26:00 +0200

=== debian/control ===
Source: libusermetrics
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               dbus,
               debhelper-compat (= 13),
               doxygen,
               gcovr,
               googletest | google-mock (>= 1.6.0+svn437),
               intltool,
               lcov,
               libapparmor-dev,
               libclick-dev,
               libgsettings-qt-dev,
               libgtest-dev,
               libqdjango-dev,
               libqt5sql5-sqlite,
               libqt5xmlpatterns5-dev,
               libqtdbustest1-dev,
               pkg-config,
               pkg-kde-tools,
               qml-module-qtquick2,
               qml-module-qttest,
               qtbase5-dev,
               qtdeclarative5-dev,
               sqlite3,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/core/libusermetrics
Vcs-Git: https://salsa.debian.org/ubports-team/libusermetrics.git
Vcs-Browser: https://salsa.debian.org/ubports-team/libusermetrics/

Package: usermetricsservice
Architecture: any
Multi-Arch: foreign
Depends: adduser,
         dbus,
         libqt5sql5-sqlite,
         sqlite3,
         ${misc:Depends},
         ${shlibs:Depends},
Description: service exporting anonymous metrics about users
 Libusermetrics enables apps to locally store interesting numerical data
 for later presentation.  For example in the Ubuntu Greeter "flower"
 infographic.
 .
  - All data is stored locally in /var/usermetrics/.
  - No data is centrally collected via a web-serivice or otherwise, and
    no data is sent over the internet.
 .
 The only data that can be stored is numerical, for example "number of
 e-mails" or "number of pictures taken". No personally identifying
 information is stored using this library.
 .
 The Libusermetrics components are used by the Lomiri Operating
 Environment.
 .
 This package contains the service which stores the metrics.

Package: libusermetricsinput-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libusermetricsinput1 (= ${binary:Version}),
         ${misc:Depends},
Description: input library for exporting anonymous metrics about users (header files)
 Libusermetrics enables apps to locally store interesting numerical data
 for later presentation.  For example in the Ubuntu Greeter "flower"
 infographic.
 .
  - All data is stored locally in /var/usermetrics/.
  - No data is centrally collected via a web-serivice or otherwise, and
    no data is sent over the internet.
 .
 The only data that can be stored is numerical, for example "number of
 e-mails" or "number of pictures taken". No personally identifying
 information is stored using this library.
 .
 The Libusermetrics components are used by the Lomiri Operating
 Environment.
 .
 This package contains libusermetricsinput header files that are needed
 to build applications.

Package: libusermetricsinput1
Architecture: any
Multi-Arch: same
Depends: gettext,
         usermetricsservice (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: input library for exporting anonymous metrics about users
 Libusermetrics enables apps to locally store interesting numerical data
 for later presentation.  For example in the Ubuntu Greeter "flower"
 infographic.
 .
  - All data is stored locally in /var/usermetrics/.
  - No data is centrally collected via a web-serivice or otherwise, and
    no data is sent over the internet.
 .
 The only data that can be stored is numerical, for example "number of
 e-mails" or "number of pictures taken". No personally identifying
 information is stored using this library.
 .
 The Libusermetrics components are used by the Lomiri Operating
 Environment.
 .
 This package contain the libusermetricsinput shared library to be
 used by applications.

Package: libusermetricsoutput-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libusermetricsoutput1 (= ${binary:Version}),
         ${misc:Depends},
Description: output library for retrieving anonymous metrics about users (header files)
 Libusermetrics enables apps to locally store interesting numerical data
 for later presentation.  For example in the Ubuntu Greeter "flower"
 infographic.
 .
  - All data is stored locally in /var/usermetrics/.
  - No data is centrally collected via a web-serivice or otherwise, and
    no data is sent over the internet.
 .
 The only data that can be stored is numerical, for example "number of
 e-mails" or "number of pictures taken". No personally identifying
 information is stored using this library.
 .
 The Libusermetrics components are used by the Lomiri Operating
 Environment.
 .
 This package contains libusermetricsoutput header files that are needed
 to build applications.

Package: libusermetricsoutput1
Architecture: any
Multi-Arch: same
Depends: usermetricsservice (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: output library for retrieving anonymous metrics about users
 Libusermetrics enables apps to locally store interesting numerical data
 for later presentation.  For example in the Ubuntu Greeter "flower"
 infographic.
 .
  - All data is stored locally in /var/usermetrics/.
  - No data is centrally collected via a web-serivice or otherwise, and
    no data is sent over the internet.
 .
 The only data that can be stored is numerical, for example "number of
 e-mails" or "number of pictures taken". No personally identifying
 information is stored using this library.
 .
 The Libusermetrics components are used by the Lomiri Operating
 Environment.
 .
 This package contain the libusermetricsoutput shared library to be
 used by applications.

Package: libusermetrics-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: API documentation for libusermetrics
 Libusermetrics enables apps to locally store interesting numerical data
 for later presentation.  For example in the Ubuntu Greeter "flower"
 infographic.
 .
  - All data is stored locally in /var/usermetrics/.
  - No data is centrally collected via a web-serivice or otherwise, and
    no data is sent over the internet.
 .
 The only data that can be stored is numerical, for example "number of
 e-mails" or "number of pictures taken". No personally identifying
 information is stored using this library.
 .
 The Libusermetrics components are used by the Lomiri Operating
 Environment.
 .
 This package installs the libusermetrics API documentation.

Package: libusermetrics-tools
Architecture: any
Depends: libusermetricsinput1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for exporting anonymous metrics about users (cmdline tools)
 Libusermetrics enables apps to locally store interesting numerical data
 for later presentation.  For example in the Ubuntu Greeter "flower"
 infographic.
 .
  - All data is stored locally in /var/usermetrics/.
  - No data is centrally collected via a web-serivice or otherwise, and
    no data is sent over the internet.
 .
 The only data that can be stored is numerical, for example "number of
 e-mails" or "number of pictures taken". No personally identifying
 information is stored using this library.
 .
 The Libusermetrics components are used by the Lomiri Operating
 Environment.
 .
 This package contains command line tools to operate the library.

Package: qml-module-usermetrics
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-qtquick2,
         libusermetricsinput1 (= ${binary:Version}),
Description: QML bindings for libusermetrics
 Libusermetrics enables apps to locally store interesting numerical data
 for later presentation.  For example in the Ubuntu Greeter "flower"
 infographic.
 .
  - All data is stored locally in /var/usermetrics/.
  - No data is centrally collected via a web-serivice or otherwise, and
    no data is sent over the internet.
 .
 The only data that can be stored is numerical, for example "number of
 e-mails" or "number of pictures taken". No personally identifying
 information is stored using this library.
 .
 The Libusermetrics components are used by the Lomiri Operating
 Environment.
 .
 A set of bindings allowing the use of libusermetrics from QML applications.

=== debian/watch ===
version=4
https://gitlab.com/ubports/core/libusermetrics/tags .*/libusermetrics-(\d\S+)\.tar\.gz

## libusermetrics 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
-project(libusermetrics CXX)
-cmake_minimum_required(VERSION 2.8.9)
+cmake_minimum_required(VERSION 3.5.)
+
+project(libusermetrics VERSION 1.3.0 LANGUAGES CXX)
 
 option (ENABLE_TESTS "Enable testing" ON)
 
@@ -56,11 +57,12 @@
 pkg_check_modules(GOBJECT2 REQUIRED gobject-2.0)
 include_directories(${GOBJECT2_INCLUDE_DIRS})
 
-pkg_check_modules(CLICK click-0.4)
-include_directories(${CLICK_INCLUDE_DIRS})
-if(${CLICK_FOUND})
-  add_definitions(-DCLICK_ENABLED=${CLICK_FOUND})
-endif(${CLICK_FOUND})
+option(ENABLE_CLICK "Build with support for click packages" ON)
+if(${ENABLE_CLICK})
+  pkg_check_modules(CLICK click-0.4 REQUIRED)
+  include_directories(${CLICK_INCLUDE_DIRS})
+  add_definitions(-DCLICK_ENABLED=1)
+endif(${ENABLE_CLICK})
 
 pkg_check_modules(QDJANGO_DB REQUIRED qdjango-db REQUIRED)
 include_directories(${QDJANGO_DB_INCLUDE_DIRS})
@@ -83,12 +85,6 @@
 
 
 include(GNUInstallDirs)
-
-# Workaround for libexecdir on debian
-if (EXISTS "/etc/debian_version") 
-  set(CMAKE_INSTALL_LIBEXECDIR ${CMAKE_INSTALL_LIBDIR})
-  set(CMAKE_INSTALL_FULL_LIBEXECDIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBEXECDIR}")
-endif()
 
 # FIX: Qt was built with -reduce-relocations
 if (Qt5_POSITION_INDEPENDENT_CODE)

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Settings
 ###########################
 
-add_schema("com.canonical.UserMetrics.gschema.xml")
+add_schema("com.lomiri.UserMetrics.gschema.xml")
 
 install(
 	DIRECTORY
@@ -24,7 +24,7 @@
 
 install(
 	FILES
-	"com.canonical.UserMetrics.conf"
+	"com.lomiri.UserMetrics.conf"
 	DESTINATION ${DBUSCONFDIR}
 )
 
@@ -39,10 +39,10 @@
 
 install(
 	FILES
-	com.canonical.usermetrics.DataSet.xml
-	com.canonical.usermetrics.DataSource.xml
-	com.canonical.usermetrics.UserData.xml
-	com.canonical.UserMetrics.xml
+	com.lomiri.usermetrics.DataSet.xml
+	com.lomiri.usermetrics.DataSource.xml
+	com.lomiri.usermetrics.UserData.xml
+	com.lomiri.UserMetrics.xml
 	DESTINATION ${DBUSIFACEDIR}
 )
 
@@ -56,11 +56,11 @@
 )
 
 set(USERMETRICS_SERVICE
-	"${CMAKE_CURRENT_BINARY_DIR}/com.canonical.UserMetrics.service"
+	"${CMAKE_CURRENT_BINARY_DIR}/com.lomiri.UserMetrics.service"
 )
 
 configure_file(
-	"com.canonical.UserMetrics.service.in"
+	"com.lomiri.UserMetrics.service.in"
 	${USERMETRICS_SERVICE}
 	@ONLY
 )

=== src/libusermetricsinput/CMakeLists.txt ===
--- 
+++ 
@@ -24,8 +24,8 @@
 )
 
 set(USERMETRICS_INPUT_DEPENDENCIES
-	Core
-	DBus
+	Qt5::Core
+	Qt5::DBus
 )
 
 # Static library version of libusermetricsinput
@@ -36,13 +36,9 @@
 	${USERMETRICSINPUT_SOURCES}
 )
 
-qt5_use_modules(
+target_link_libraries(
 	usermetricsinput-static
 	${USERMETRICS_INPUT_DEPENDENCIES}
-)
-
-target_link_libraries(
-	usermetricsinput-static
 	usermetricscommon
 	${Gettext_LIBRARIES}
 )
@@ -71,14 +67,11 @@
 	"${INCLUDE_BINARY_DIR}/libusermetricsinput/${EXPORT_FILE_NAME}"
 )
 
-qt5_use_modules(
+target_link_libraries(
 	usermetricsinput
 	${USERMETRICS_INPUT_DEPENDENCIES}
-)
-
-target_link_libraries(
-	usermetricsinput
 	usermetricscommon
+	${Intl_LIBRARIES}
 )
 
 set_target_properties(
@@ -125,13 +118,9 @@
   RUNTIME DESTINATION bin
 )
 
-qt5_use_modules(
-	usermetricsinput-bin
-	Core
-)
-
 target_link_libraries(
 	usermetricsinput-bin
+	Qt5::Core
 	usermetricsinput
 )
 
@@ -149,13 +138,10 @@
   RUNTIME DESTINATION bin
 )
 
-qt5_use_modules(
+target_link_libraries(
 	usermetricsinput-increment
-	Core
+	Qt5::Core
+	usermetricsinput
+	${Intl_LIBRARIES}
 )
 
-target_link_libraries(
-	usermetricsinput-increment
-	usermetricsinput
-)
-

=== tests/integration/libusermetricsinput/CMakeLists.txt ===

set(
	USERMETRICSINPUT_INTEGRATION_TESTS_SRC
	TestMetricManager.cpp
)

add_executable(
	usermetricsinput-integration-tests
	${USERMETRICSINPUT_INTEGRATION_TESTS_SRC}
)

target_link_libraries(
	usermetricsinput-integration-tests
	usermetricsinput
	usermetrics-test-utils
	${GTEST_LIBRARIES}
	${GMOCK_LIBRARIES}
)

add_test(
	usermetricsinput-integration-tests
	usermetricsinput-integration-tests
)

=== debian/changelog ===
libusermetrics (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_no-debian-specific-libexecdir.patch. Applied upstream.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * lintian: Adjust overrides to new syntax.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Feb 2023 01:40:41 +0100

libusermetrics (1.2.0-3) unstable; urgency=medium

  * Team upload.
  * Upload into unstable. (Closes: #1020071)
    + Build failure was not reproducible.

 -- Anton Gladky <gladk@debian.org>  Tue, 11 Oct 2022 22:26:42 +0200

libusermetrics (1.2.0-3~exp1) experimental; urgency=medium

  * Team upload.

  [ Mike Gabriel ]
  * debian/:
    + Update upstream Git repo URL.

  [ Anton Gladky ]
  * debian/control:
    + Set Standards-Versions to 4.6.1.
    + Minor field-reorganization.
    + Set upstream metadata fields: Repository.

 -- Anton Gladky <gladk@debian.org>  Tue, 11 Oct 2022 06:22:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: libusermetrics
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Uploaders: Mike Gabriel <sunweaver@debian.org>
 Section: libs
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
-Uploaders:
- Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: cmake,
-               cmake-extras (>= 0.10),
+               cmake-extras,
                dbus,
                debhelper-compat (= 13),
                doxygen,
                gcovr,
-               googletest | google-mock (>= 1.6.0+svn437),
+               googletest | google-mock,
                intltool,
                lcov,
                libapparmor-dev,
@@ -27,12 +26,12 @@
                qml-module-qttest,
                qtbase5-dev,
                qtdeclarative5-dev,
-               sqlite3,
-Standards-Version: 4.6.0
+               sqlite3
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/ubports-team/libusermetrics/
+Vcs-Git: https://salsa.debian.org/ubports-team/libusermetrics.git
+Homepage: https://gitlab.com/ubports/development/core/libusermetrics
 Rules-Requires-Root: no
-Homepage: https://gitlab.com/ubports/core/libusermetrics
-Vcs-Git: https://salsa.debian.org/ubports-team/libusermetrics.git
-Vcs-Browser: https://salsa.debian.org/ubports-team/libusermetrics/
 
 Package: usermetricsservice
 Architecture: any
@@ -42,7 +41,7 @@
          libqt5sql5-sqlite,
          sqlite3,
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: service exporting anonymous metrics about users
  Libusermetrics enables apps to locally store interesting numerical data
  for later presentation.  For example in the Ubuntu Greeter "flower"
@@ -62,11 +61,11 @@
  This package contains the service which stores the metrics.
 
 Package: libusermetricsinput-dev
+Architecture: any
+Multi-Arch: same
 Section: libdevel
-Architecture: any
-Multi-Arch: same
 Depends: libusermetricsinput1 (= ${binary:Version}),
-         ${misc:Depends},
+         ${misc:Depends}
 Description: input library for exporting anonymous metrics about users (header files)
  Libusermetrics enables apps to locally store interesting numerical data
  for later presentation.  For example in the Ubuntu Greeter "flower"
@@ -92,8 +91,8 @@
 Depends: gettext,
          usermetricsservice (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
-Pre-Depends: ${misc:Pre-Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: input library for exporting anonymous metrics about users
  Libusermetrics enables apps to locally store interesting numerical data
  for later presentation.  For example in the Ubuntu Greeter "flower"
@@ -114,11 +113,11 @@
  used by applications.
 
 Package: libusermetricsoutput-dev
+Architecture: any
+Multi-Arch: same
 Section: libdevel
-Architecture: any
-Multi-Arch: same
 Depends: libusermetricsoutput1 (= ${binary:Version}),
-         ${misc:Depends},
+         ${misc:Depends}
 Description: output library for retrieving anonymous metrics about users (header files)
  Libusermetrics enables apps to locally store interesting numerical data
  for later presentation.  For example in the Ubuntu Greeter "flower"
@@ -143,8 +142,8 @@
 Multi-Arch: same
 Depends: usermetricsservice (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
-Pre-Depends: ${misc:Pre-Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: output library for retrieving anonymous metrics about users
  Libusermetrics enables apps to locally store interesting numerical data
  for later presentation.  For example in the Ubuntu Greeter "flower"
@@ -165,9 +164,9 @@
  used by applications.
 
 Package: libusermetrics-doc
+Architecture: all
 Section: doc
-Architecture: all
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: API documentation for libusermetrics
  Libusermetrics enables apps to locally store interesting numerical data
  for later presentation.  For example in the Ubuntu Greeter "flower"
@@ -214,7 +213,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          qml-module-qtquick2,
-         libusermetricsinput1 (= ${binary:Version}),
+         libusermetricsinput1 (= ${binary:Version})
 Description: QML bindings for libusermetrics
  Libusermetrics enables apps to locally store interesting numerical data
  for later presentation.  For example in the Ubuntu Greeter "flower"

=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/libusermetrics/tags .*/libusermetrics-(\d\S+)\.tar\.gz
